#ifndef PINTUPLE_H
#define PINTUPLE_H

#include "ntuple.h"
#include "pidrawer.h"

class PINTuple : public PIDrawer {
public:
                     PINTuple(NTuple* nt, bool ad);
  virtual           ~PINTuple();
  
  virtual void       Draw(PIGraphicUC* g, double xmin, double ymin, double xmax, double ymax);
  virtual void       UpdateLimits();
  
          void       SelectXY(const char* px, const char* py);
          void       SelectErrBar(const char* erbx=NULL, const char* erby=NULL);

       
protected:
  NTuple* mNT;
  bool mAdDO;
  int xK, yK;          // Index du nom de variable en X/Y ds le ntuple
  int xebK, yebK;      // Index du nom de variable en ErrBarX/Y ds le ntuple

};

#endif




